Employee Allocations
Employee allocations plan hours for employees on activities and project milestones, typically on a weekly basis. Used for capacity planning and resource management.
Endpoints
List Employee Allocations
GET
/v1/odata/EmployeeAllocationGet by ID
GET
/v1/odata/EmployeeAllocation({id})With expanded relations:
GET
/v1/odata/EmployeeAllocation({id})?$expand=Employee,Activity,MilestoneCreate
POST
/v1/odata/EmployeeAllocationUpdate
PUT
/v1/odata/EmployeeAllocation({id})Delete
DELETE
/v1/odata/EmployeeAllocation({id})Fields
| Field | Type | Description |
|---|---|---|
Year | Double | Year |
Week | Double | Week number (ISO week) |
WeekDate | Date | Start date of the week |
DurationInHours | Double | Planned hours for the week |
Description | String | Description |
Relationships
| Relationship | Target Entity | Cardinality | Description |
|---|---|---|---|
| Employee | Employee | N:1 | Allocated employee |
| Activity | Activity | N:1 | Parent activity |
| Relationship | Relationship | N:1 | Related client relationship |
| Milestone | ProjectMilestone | N:1 | Project milestone |
| EmployeeAllocationSequence | EmployeeAllocationSequence | N:1 | Parent allocation sequence |
Expanding Relationships
GET
/v1/odata/EmployeeAllocation({id})?$expand=EmployeeNavigating Relationships
GET
/v1/odata/EmployeeAllocation({id})/Employee